The new PatternSkin broke my Foswiki 1.0 system

The 1.1. version of PatternSkin has made some significant template changes in recent releases that are incompatible with Foswiki 1.0.x.

Solution 1

  • Download version 5.4.15 or later
  • Set as SKIN:
     * Set SKIN = pattern01x00,pattern 

Solution 2

Downgrade to a previous version.

http://foswiki.org/bin/viewfile/Extensions/PatternSkin?filename=PatternSkin.tgz;rev=23 was the last release before Foswiki 1.1 (or http://foswiki.org/bin/viewfile/Extensions/PatternSkin?filename=PatternSkin.zip;rev=23 for the zip file)

  1. Download revision 23 of the PatternSkin.tgz or zip file into your Foswiki root directory.
  2. unzip / expand the file into your Foswiki installation.
-- ArthurClemens - 05 Jun 2011

Support.FAQForm edit

TopicClassification FrequentlyAskedQuestion
Subject Extension, Frontend or Javascript or CSS, Upgrading
Topic Summary PatternSkin on 1.1 has moved away from backwards compatibility with Foswiki1.0.
Extension PatternSkin
Interested Parties ArthurClemens, PaulHarvey
Related Topics PatternSkin, Tasks.Item10836 Tasks.Item10801
Topic revision: r4 - 27 Dec 2011, ArthurClemens - This page was cached on 23 Sep 2017 - 07:14.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License